#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <direct.h>
#include "lodepng.h"

// entrypoint
int main(int argc, char *argv[]) {
	unsigned char* image;
	unsigned char palette[768];
	unsigned width, height, x;
	unsigned error;
	FILE* dest;

	error = lodepng_decode32_file(&image, &width, &height, "ref.png");
	if(error) printf("error %u: %s\n", error, lodepng_error_text(error));

	for (x = 0; x < 256; x++) {
		memcpy(palette + x*3, image + x*4, 3);
	}

	dest = fopen("PLAYPAL.lmp", "wb");
	fwrite(palette, 1, 768, dest);
	fclose(dest);
	
    return EXIT_SUCCESS;
}
